classdef (Hidden) VideoPlayerScopeCfg < scopeextensions.AbstractSystemObjectScopeCfg & scopeextensions.MPlayScopeCfg
    %VideoPlayerScopeCfg   Define the VideoPlayerScopeCfg class.
    
    %   Copyright 2009-2010 The MathWorks, Inc.
    %   $Revision: 1.1.6.3 $  $Date: 2011/01/10 02:18:57 $
    
    methods      
      function this = VideoPlayerScopeCfg(varargin)
         % Prevent clear classes warnings
         mlock;
        this@scopeextensions.AbstractSystemObjectScopeCfg(varargin{:});
      end
      
      function appName = getAppName(~)
        appName = 'Video Player';
      end
      
      function configurationFile = getConfigurationFile(~)
        configurationFile = 'videoplayer.cfg';
      end
      
      function hiddenExts = getHiddenExtensions(~)
        hiddenExts = {'Tools:Instrumentation Sets', ...
          'Tools:Plot Navigation', 'Visuals:Time Domain'};
      end
            
      function helpMenus = getHelpMenus(this, hUI) %#ok
        mapFileLocation = fullfile(docroot,'toolbox','vision','vision.map');
        
        mVideoPlayer = uimgr.uimenu('vision.VideoPlayer', 'vision.VideoPlayer &Help');
        mVideoPlayer.Placement = -inf;
        mVideoPlayer.WidgetProperties = {...
          'callback', @(hco,ev) helpview(mapFileLocation, 'scvideoplayer')};
        
        mVIPBlks = uimgr.uimenu('VIPBlks', ...
          '&Computer Vision System Toolbox Help');
        mVIPBlks.WidgetProperties = {...
          'callback', @(hco,ev) helpview(mapFileLocation, 'visioninfo')};
        
        mDemo = uimgr.uimenu('VIPBlks Demos', ...
          'Computer Vision System Toolbox &Demos');
        mDemo.WidgetProperties = {'callback', ...
          @(hco,ev) visiondemos};
        
        % Want the "About" option separated, so we group everything above
        % into a menugroup and leave "About" as a singleton menu
        mAbout = uimgr.uimenu('About', ...
          '&About Computer Vision System Toolbox');
        mAbout.WidgetProperties = {...
          'callback', @(hco,ev)aboutvipblks};
        
        helpMenus = uimgr.Installer( { ...
          mVideoPlayer 'Base/Menus/Help/Application'; ...
          mVIPBlks 'Base/Menus/Help/Application'; ...
          mDemo 'Base/Menus/Help/Demo'; ...
          mAbout 'Base/Menus/Help/About'});
      end
    end
end

% [EOF]
